<table class ="tablefixed"  border="0" cellpadding="2px">  
<tr class="tr30" >
		<td width="100%"  class="tdauto" id="container_pasi_ceisa_produksi_rdd_finish_tbl_cust_list">

<div  class="ui-layout-content ui-widget-content-panel" style="padding-top:5px;padding-bottom:5px">
 
	
				<div id="tabspasi_ceisa_produksi_rdd_finish_tbl_dtl">
					<table class ="tablefixed" width="100%"   border="0" cellpadding="2px" >  
<tr class="trauto" >
						  <td class="tdauto" id="container_pasi_ceisa_produksi_rdd_finish_sa_tbl_sa_list" valign="top">  
										<table id="pasi_ceisa_produksi_rdd_finish_tbl_dtl"></table> <div id="ppasi_ceisa_produksi_rdd_finish_tbl_dtl"></div>
										
										<table width="100%" style="margin-top:5px">
<tbody>
											<tr>
											  <td valign="top" width="552">
                                              <table id ="pasi_ceisa_produksi_rdd_finish_item_panel1"  width="550" >
<tbody>
													<tr>
													  <td width="37" >ITEM</td>
													  <td width="2" align="right" >&nbsp;</td>
													  <td width="30" align="right" ><input tabindex="6" id="pasi_ceisa_produksi_rdd_finish_item_urut"
																					   style="width: 30px; text-align: right;" class="numeric"
																					   type="text" /></td>
													  <td width="1" >&nbsp;</td>
													  <td width="38" >Code / Name</td>
													  <td width="3" ><div align="center">:</div></td>
													  <td width="90" ><input  tabindex="6" id="pasi_ceisa_produksi_rdd_finish_item_part_no"
																					   style="width:90px;"
																					   type="text" /></td>
													  <td width="4" ><div align="center">/</div></td>
													  <td  colspan="5"><input  tabindex="6" id="pasi_ceisa_produksi_rdd_finish_item_part_name"
																					   style="width: 100%;"
																					   type="text" disabled="disabled" /></td>
													</tr>
													<tr>
													  <td><input name="pasi_ceisa_produksi_rdd_finish_item_ms_item_id" type="hidden" id="pasi_ceisa_produksi_rdd_finish_item_ms_item_id"  /></td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
													  <td >Qty / Unit</td>
													  <td ><div align="center">:</div></td>
													  <td ><input  tabindex="7" id="pasi_ceisa_produksi_rdd_finish_item_doc_qty"
																					   style="width: 90px; text-align: right;" class="numeric"
																					   type="text" /></td>
													  <td ><div align="center">/</div></td>
													  <td  ><input name="pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code"
																					   id="pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code"
																					   style="width:25px; "
																					   type="text " disabled="disabled"  /></td>
													  <td width="47" align="right"  >Custom</td>
							                          <td width="3" align="right"  ><div align="center">:</div></td>
							                          <td width="50"  ><input name="pasi_ceisa_produksi_rdd_finish_item_part_custom_no"
																					   id="pasi_ceisa_produksi_rdd_finish_item_part_custom_no"
																					   style="width:50px; "
																					   type="text " disabled="disabled" /></td>
							                          <td width="164"  ><input 	   id="pasi_ceisa_produksi_rdd_finish_item_part_custom_name"
																					   style="width:100%; "
																					   type="text " disabled="disabled" /></td>
							</tr>
													<tr>
													  <td colspan="3" align="left">SOURCE</td>
													  <td>&nbsp;</td>
													  <td >Code / Name</td>
													  <td ><div align="center">:</div></td>
													  <td ><input  tabindex="15" id="pasi_ceisa_produksi_rdd_finish_item_source_code"
																					   style="width:90px;"
																					   type="text"  disabled="disabled"  /></td>
													  <td ><div align="center">/</div></td>
													  <td colspan="5"  ><input  tabindex="16" id="pasi_ceisa_produksi_rdd_finish_item_source_name"
																					   style="width: 100%;"
																					   type="text"  disabled="disabled"   /></td>
						    </tr>
													<tr>
													  <td colspan="3">&nbsp;</td>
													  <td>&nbsp; </td>
													  <td >Qty / Unit</td>
													  <td ><div align="center">:</div></td>
													  <td ><input name="pasi_ceisa_produksi_rdd_finish_item_source_qty" id="pasi_ceisa_produksi_rdd_finish_item_source_qty"
																					   style="width: 90px; text-align: right;" class="numeric"
																					   type="text" disabled="disabled"  /></td>
													  <td ><div align="center">/</div></td>
													  <td width="25"><input id="pasi_ceisa_produksi_rdd_finish_item_source_satuan_code"
																					   style="width:25px;"
																					   type="text" disabled="disabled"  /></td>
													  <td align="right">Type</td>
													  <td align="right"><div align="center">:</div></td>
													  <td><input name="pasi_ceisa_produksi_rdd_finish_item_source_type"
																					   id="pasi_ceisa_produksi_rdd_finish_item_source_type"
																					   style="width:50px; "
																					   type="text " disabled="disabled" /></td>
													  <td>&nbsp;</td>
													</tr>
											    </tbody>
											  </table></td>
											  <td width="22">&nbsp;</td>
								<td valign="top" width="227">
                                <table  id ="pasi_ceisa_produksi_rdd_finish_item_panel2" width="225" >
<tbody>
													
													<tr>
													  <td width="47">Total Price</td>
													  <td width="3"><div align="center">:</div>												      </td>
													  <td><input  tabindex="8" id="pasi_ceisa_produksi_rdd_finish_item_harga_total"
																					   style="width:70px; text-align: right;" type="text" class="numeric" /></td>
													  <td></td>
													  <td width="27">CN:</td>
													  <td width="8"><div align="center">:</div></td>
													  <td width="40"><span style="width: 50px;">
													  <input tabindex="8"  id="pasi_ceisa_produksi_rdd_finish_item_cn"
																						   style="width: 40px;"
																						   type="text" />
													  </span></td>
							</tr>
													<tr>
													  <td>Netto</td>
													  <td> <div align="center">:</div>												      </td>
													  <td width="80">
													  <input tabindex="9"    id="pasi_ceisa_produksi_rdd_finish_item_netto"
																							   style="width: 70px; text-align: right;" class="numeric" type="text" />													  </td>
													  <td width="4"></td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
							</tr>
													<tr class="pasi_ceisa_produksi_rdd_finish_item_volume">
													  <td>Volume</td>
													  <td><div align="center">:</div></td>
													  <td> <input tabindex="10"  id="pasi_ceisa_produksi_rdd_finish_item_volume"
																						   style="width: 70px; text-align: right;" type="text" class="numeric" />												      </td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
													  <td>&nbsp;</td>
							</tr>
													<tr>
													  <td>Series / Year</td>
													  <td><div align="center">:</div></td>
													  <td><input tabindex="11"  id="pasi_ceisa_produksi_rdd_finish_item_series"
																						   style="width: 70px;" 
																						   type="text" />                                                                                           </td>
													  <td><div align="center">/</div></td>
													  <td colspan="3"><input tabindex="11"  id="pasi_ceisa_produksi_rdd_finish_item_tahun"
																						   style="width: 70px;"
																						   type="text" /></td>
						    </tr>
													<tr>
													  <td>PO No / Date</td>
													  <td>&nbsp;</td>
													  <td><input tabindex="12"  id="pasi_ceisa_produksi_rdd_finish_item_po_no"
																						   style="width: 70px;" 
																						   type="text" /></td>
													  <td><div align="center">/</div></td>
													  <td colspan="3"><input tabindex="12"  id="pasi_ceisa_produksi_rdd_finish_item_po_date"
																						   style="width: 70px;"
																						   type="text" /></td>
						    </tr>
								  </tbody>
											  </table></td>
											  <td valign="top" width="22">&nbsp;</td>
<td valign="top" width="205">
<table id ="pasi_ceisa_produksi_rdd_finish_item_panel3"  width="195" border="0">
  <tr>
    <td><span style="width: 100px;">Package</span></td>
    <td><div align="center">/</div></td>
    <td colspan="3"><input tabindex="13" id="pasi_ceisa_produksi_rdd_finish_item_package_qty"
																						   style="width: 80px; text-align: right;" class="numeric"
																						   type="text" /></td>
    <td><div align="center">/</div></td>
    <td><span style="width: 70px;">
      <input  tabindex="13" id="pasi_ceisa_produksi_rdd_finish_item_package_code"
																						   style="width: 35px; "
																						   type="text" />
    </span></td>
  </tr>
	<tr class="pasi_ceisa_produksi_rdd_finish_item_hs_tarif">
	  <td width="49">HS-Code</td>
	  <td width="3"><div align="center">/</div></td>
	  <td colspan="5"><input tabindex="14"  id="pasi_ceisa_produksi_rdd_finish_item_hs_code"
																													style="width: 133px;" type="text"  /></td>
	  </tr>
	<tr class="pasi_ceisa_produksi_rdd_finish_item_hs_tarif2">
	  <td>BM</td>
	  <td><div align="center">/</div></td>
	  <td width="39"><input  tabindex="15" id="pasi_ceisa_produksi_rdd_finish_item_hs_bm"
																								   style="width: 35px;text-align: right;" class="numeric" type="text" /></td>
	  <td width="3">&nbsp;</td>
	  <td width="31">PPH</td>
	  <td width="5"><div align="center">/</div></td>
	  <td width="35"><input  tabindex="17"  id="pasi_ceisa_produksi_rdd_finish_item_hs_pph"
																					   style="width: 35px;text-align: right;" class="numeric"
																					   type="text" /></td>
	  </tr>
	<tr class="pasi_ceisa_produksi_rdd_finish_item_hs_tarif2">
	  <td>PPnBM</td>
	  <td><div align="center">/</div></td>
	  <td><input  tabindex="16"  id="pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm"
																					   style="width: 35px;text-align: right;" class="numeric"
																					   type="text" /></td>
	  <td>&nbsp;</td>
	  <td>PPN</td>
	  <td><div align="center">/</div></td>
	  <td><input  tabindex="18"  id="pasi_ceisa_produksi_rdd_finish_item_hs_ppn"
																					   style="width: 35px;text-align: right;" class="numeric"
																					   type="text" /></td>
	  </tr>

  </table></td>
					</tr>
										  </tbody>
										</table>
			  </td>
</tr> 
<tr class="tr160" >
						<td  class="tdauto" id="container_pasi_ceisa_produksi_rdd_finish_sa_tbl_cust_list">  
						 <div  id="aktifitas_detail" class="pane-header ui-state-active">
											<button tabindex="5"  class ="aktifitas_produksi_rdd_finish" id="pasi_ceisa_produksi_rdd_finish_new_detail"  style="width:110px">NEW</button>
											<button tabindex="5"  class ="aktifitas_produksi_rdd_finish" id="pasi_ceisa_produksi_rdd_finish_edit_detail"  style="width:110px">EDIT</button>
											<button tabindex="5"  class ="aktifitas_produksi_rdd_finish" id="pasi_ceisa_produksi_rdd_finish_delete_detail"  style="width:110px">DELETE</button>
											<button tabindex="19"  class ="aktifitas_produksi_rdd_finishresult" id="pasi_ceisa_produksi_rdd_finish_save_detail"  style="width:110px">SAVE</button>
											<button tabindex="20"  class ="aktifitas_produksi_rdd_finishresult" id="pasi_ceisa_produksi_rdd_finish_cancel_detail"  style="width:110px">CANCEL</button>
											<button tabindex="5" class ="aktifitas_produksi_rdd_finish" id="pasi_ceisa_produksi_rdd_finish_automap_detail"  style="width:110px">AUTO MAPPING</button>
									</div>
										</td> 
						</tr>  
					</table> 
			  </div>
			</div> 
		</td>
	</tr>  
</table>  
<script type="text/javascript"> 
$(document).ready(function () {
		$('#pasi_ceisa_produksi_rdd_finish_hdr_car').focus();
		var pasi_ceisa_produksi_rdd_finish_row_edit;
		var pasi_ceisa_produksi_rdd_finish_row_select;
		var pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item=-1;

		$("input.numeric").numeric();
		
		$("#pasi_ceisa_produksi_rdd_finish_tab_hdr").tabs(); 	

		
		$(window).bind('resize', function () {
			$("#pasi_ceisa_produksi_rdd_finish_tab_hdr").css("height", $("#container_pasi_ceisa_produksi_rdd_finish_tab_hdr").height() - 10);
		});
		$("#pasi_ceisa_produksi_rdd_finish_tab_hdr").css("height", $("#container_pasi_ceisa_produksi_rdd_finish_tab_hdr").height() - 10);



		function addOptionItemType(selectbox, value, text)
		{
			var optn = document.createElement("OPTION");
			optn.text = text;
			optn.value = value;
			selectbox.options.add(optn);
		}
 
 
		$( ".date_edit" ).datepicker({
			changeMonth: true
			,changeYear: true
			,showButtonPanel: true
			,dateFormat: 'dd/mm/yy'
			,onClose: function(dateText, inst){
					var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
					var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
					var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
					}
			, onSelect: function (){
				$(this).focus();
			}
		}).keyup(function(e) {
			if(e.keyCode == 8 || e.keyCode == 46) {
				$.datepicker._clearDate(this);
			}
		})
		  
 
		$( "#pasi_ceisa_produksi_rdd_finish_hdr_tanggal_billing" ).datepicker({
			changeMonth: true
			,changeYear: true
			,showButtonPanel: true
			,dateFormat: 'dd/mm/yy'
			,onClose: function(dateText, inst){
					var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
					var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
					var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
					}
			, onSelect: function (){
				$(this).focus();
			}
		}).keyup(function(e) {
			if(e.keyCode == 8 || e.keyCode == 46) {
				$.datepicker._clearDate(this);
			}
		}) ; 
  
		$( "#pasi_ceisa_produksi_rdd_finish_item_po_date" ).datepicker({
			changeMonth: true
			,changeYear: true
			,showButtonPanel: true
			,dateFormat: 'dd/mm/yy'
			,onClose: function(dateText, inst){
					var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
					var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
					var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
					}
			, onSelect: function (){
				$(this).focus();
			}
		}).keyup(function(e) {
			if(e.keyCode == 8 || e.keyCode == 46) {
				$.datepicker._clearDate(this);
			}
		}) ; 
  
 
		$( "#pasi_ceisa_produksi_rdd_finish_hdr_bc_date" ).datepicker({
			changeMonth: true
			,changeYear: true
			,showButtonPanel: true
			,dateFormat: 'dd/mm/yy'
			,onClose: function(dateText, inst){
					var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
					var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
					var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
					}
			, onSelect: function (){
				$(this).focus();
			}
		}).keyup(function(e) {
			if(e.keyCode == 8 || e.keyCode == 46) {
				$.datepicker._clearDate(this);
			}
		}).on("input change", function (e) {
				 if ($( "#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code" ).val()!=''){ 
					$.ajax({    
					url:'<?php echo base_url() . 'ms_master/ct_ms_find/find_valuta_value'; ?>',
					type : 'POST',
					data : {
						VALUTA		:$( "#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code" ).val()
						,DATE_KURS	:getValueDate($("#pasi_ceisa_produksi_rdd_finish_hdr_bc_date"),'yymmdd')
					},
					dataType: 'json',
					success: function(msg){
							if (msg.valid){   
								$('#pasi_ceisa_produksi_rdd_finish_valuta_value').val(msg.detail.rv_h);
							} else {  
							}
						} 
					}).always(function() { 
					});  
				} 
		}); 
 
		$( ".date_edit" ).datepicker({
			changeMonth: true
			,changeYear: true
			,showButtonPanel: true
			,dateFormat: 'dd/mm/yy'
			,onClose: function(dateText, inst){
					var month = $("#ui-datepicker-div .ui-datepicker-month :selected").val();
					var year = $("#ui-datepicker-div .ui-datepicker-year :selected").val();
					var day = $("#ui-datepicker-div .ui-datepicker-day :selected").val();
					}
			, onSelect: function (){
				$(this).focus();
			}
		}).keyup(function(e) {
			if(e.keyCode == 8 || e.keyCode == 46) {
				$.datepicker._clearDate(this);
			}
		})
		  
	 
	   $('#pasi_ceisa_produksi_rdd_finish_item_tahun').datepicker({
		   changeMonth: true
		   ,changeYear: true
		   ,showButtonPanel: true
		   ,dateFormat: 'MM yy'
		   ,monthNamesShort: ['Jan','Feb','Mar','Apr','Mei','Jun','Jul','Agu','Sept','Okt','Nop','Des']
		   ,onClose: function(dateText, inst) { $(this).datepicker('setDate', new Date(inst.selectedYear, inst.selectedMonth, 1));},
		});
		
//	$( "#pasi_ceisa_produksi_rdd_finish_selesai_masuk_jam" ).timepicker();

		$("#pasi_ceisa_produksi_rdd_finish_save_header").button();
		$("#pasi_ceisa_produksi_rdd_finish_update_status").button();
	
		$("#pasi_ceisa_produksi_rdd_finish_new_detail").button(); 
		$("#pasi_ceisa_produksi_rdd_finish_edit_detail").button();
		$("#pasi_ceisa_produksi_rdd_finish_save_detail").button();
		$("#pasi_ceisa_produksi_rdd_finish_automap_detail").button(); 
		$("#pasi_ceisa_produksi_rdd_finish_delete_detail").button();
		$("#pasi_ceisa_produksi_rdd_finish_cancel_detail").button();
	 
		$(".aktifitas_produksi_rdd_finishresult").hide()
		
		$('#pasi_ceisa_produksi_rdd_finish_save_header').keydown(function (e) {
			var code = e.keyCode || e.which;
			var TABKEY = 9;
			if (code === TABKEY) {
				$('#pasi_ceisa_produksi_rdd_finish_hdr_car').focus();
				if (e.preventDefault) {
					e.preventDefault();
					return false;
				}
			}
		});


		jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid({
			url: '<?php echo base_url() . 'pasi_ceisa_bc_in/ct_pasi_ceisa_bc_in_from_po/loaddata_bc23_item'; ?>',
			mtype: "post",
			postData: {ID_HEADER:(pasi_ceisa_produksi_rdd_finish_row_header)?pasi_ceisa_produksi_rdd_finish_row_header.rID:'-1'},
			datatype: "local",
			colNames:[
			'rID','SEQ.','CODE','NAME','UOM','QTY','TYPE'
			,'SIZE','MERK','NO','DATE','CN','SERIES','YEAR','dt_ms_tpb_in_barang_mapping_ms_item_id','dt_ms_item_ms_type_id','dt_ms_item_custom_nomor_hs'
			,'NO','NAME','UOM','QTY'
			,'CUST. NO','CUST. NAME','BASE NO','TOTAL PRICE','CODE','QTY'
			,'NETTO','VOLUME','dt_ms_tpb_in_barang_KONDISI_BARANG','ID_ORI'
			,'ID HEADER','ID_HEADER_ORI','HS-CODE','BM','BM_ID'
			,'PPNBM','PPNBM_ID','PPH','PPH_ID','PPN'
			,'PPN_ID','dt_ms_tpb_in_barang_is_get','dt_ms_tpb_in_barang_mode_source','SOURCE','id_source'
			,'DATE','BY','DATE','BY','DATE'
			,'BY','dt_ms_tpb_in_header_header_mode_source'
			]
			,colModel:[
			{name:'rID',index:'rID', width:80, hidden:true, align :'right',key: true}
			,{name:'r22',index:'r22', width:30, hidden:false, align :'center'}
			,{name:'r1',index:'r1', width:80, hidden:false, align :'left'}
			,{name:'r2',index:'r2', width:150, hidden:false, align :'left'}
			,{name:'r3',index:'r3', width:40, hidden:false, align :'left'}
			,{name:'r17',index:'r17', width:80, hidden:false, align :'right'}
			,{name:'r4',index:'r4', width:70, hidden:false, align :'left'}
			
			,{name:'r5',index:'r5', width:40, hidden:true, align :'left'} 
			,{name:'r6',index:'r6', width:40, hidden:true, align :'right'}
			,{name:'p1',index:'p1', width:100, hidden:false, align :'left'}
			,{name:'p2',index:'p2', width:80, hidden:false, align :'left', searchoptions:{searchhidden: true,dataInit:function(el){$(el).datepicker({onSelect: function(date){jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl")[0].triggerToolbar();},changeMonth: true,changeYear: true,dateFormat:'dd/mm/yy', showButtonPanel: true, beforeShow: function(input) {  setTimeout(function() { var buttonPane = $(input).datepicker("widget").find( ".ui-datepicker-buttonpane" );   var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');   btn.unbind("click").bind("click", function () {   $.datepicker._clearDate( input );   });   btn.appendTo( buttonPane );  }, 1 );  }  });}}}
			,{name:'r6a',index:'r6a', width:30, hidden:false, align :'left'}
			,{name:'r48',index:'r48', width:30, hidden:false, align :'left'}
			,{name:'r49',index:'r49', width:80, hidden:false, align :'left', searchoptions:{searchhidden: true,dataInit:function(el){$(el).datepicker({onSelect: function(date){jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl")[0].triggerToolbar();},changeMonth: true,changeYear: true,dateFormat:'dd/mm/yy', showButtonPanel: true, beforeShow: function(input) {  setTimeout(function() { var buttonPane = $(input).datepicker("widget").find( ".ui-datepicker-buttonpane" );   var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');   btn.unbind("click").bind("click", function () {   $.datepicker._clearDate( input );   });   btn.appendTo( buttonPane );  }, 1 );  }  });}}}
 			,{name:'r7',index:'r7', width:80, hidden:true, align :'right'}

			,{name:'r8',index:'r8', width:80, hidden:true, align :'right'} 
			,{name:'r11',index:'r11', width:80, hidden:true, align :'right'}
			
			,{name:'r13',index:'r13', width:80, hidden:false, align :'left'}
			,{name:'r14',index:'r14', width:150, hidden:false, align :'left'}
			,{name:'r15',index:'r15', width:40, hidden:false, align :'left'}
			,{name:'r16',index:'r16', width:80, hidden:false, align :'right'}
			
			,{name:'r9',index:'r9', width:70, hidden:false, align :'left'} 
			,{name:'r10',index:'r10', width:150, hidden:false, align :'left'}
			,{name:'r12',index:'r12', width:150, hidden:false, align :'left'}
			,{name:'r18',index:'r18', width:80, hidden:false, align :'right'}
			,{name:'r19',index:'r19', width:40, hidden:false, align :'left'}
			,{name:'r20',index:'r20', width:80, hidden:false, align :'right'}

			,{name:'r21',index:'r21', width:80, hidden:false, align :'right'}
			,{name:'r23',index:'r23', width:80, hidden:false, align :'right'}
			,{name:'r24',index:'r24', width:80, hidden:true, align :'right'}
			,{name:'r25',index:'r25', width:80, hidden:true, align :'right'}

			,{name:'r26',index:'r26', width:80, hidden:true, align :'right'}
			,{name:'r27',index:'r27', width:80, hidden:true, align :'right'}
			,{name:'r28',index:'r28', width:80, hidden:false, align :'left'}
			,{name:'r29',index:'r29', width:80, hidden:false, align :'right'}
			,{name:'r30',index:'r30', width:80, hidden:true, align :'right'}

			,{name:'r31',index:'r31', width:80, hidden:false, align :'right'}
			,{name:'r32',index:'r32', width:80, hidden:true, align :'right'}
			,{name:'r33',index:'r33', width:80, hidden:false, align :'right'}
			,{name:'r34',index:'r34', width:80, hidden:true, align :'right'}
			,{name:'r35',index:'r35', width:80, hidden:false, align :'right'}

			,{name:'r36',index:'r36', width:80, hidden:true, align :'right'}
			,{name:'r37',index:'r37', width:80, hidden:true, align :'right'}
			,{name:'r38',index:'r38', width:80, hidden:true, align :'right'}
			,{name:'r39',index:'r39', width:80, hidden:false, align :'left'}
			,{name:'r40',index:'r40', width:80, hidden:true, align :'right'}

			,{name:'r41',index:'r41', width:125, hidden:false, align :'left', searchoptions:{searchhidden: true,dataInit:function(el){$(el).datepicker({onSelect: function(date){jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl")[0].triggerToolbar();},changeMonth: true,changeYear: true,dateFormat:'dd/mm/yy', showButtonPanel: true, beforeShow: function(input) {  setTimeout(function() { var buttonPane = $(input).datepicker("widget").find( ".ui-datepicker-buttonpane" );   var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');   btn.unbind("click").bind("click", function () {   $.datepicker._clearDate( input );   });   btn.appendTo( buttonPane );  }, 1 );  }  });}}}

			,{name:'r42',index:'r42', width:100, hidden:false, align :'left'}
			,{name:'r43',index:'r43', width:125, hidden:false, align :'left', searchoptions:{searchhidden: true,dataInit:function(el){$(el).datepicker({onSelect: function(date){jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl")[0].triggerToolbar();},changeMonth: true,changeYear: true,dateFormat:'dd/mm/yy', showButtonPanel: true, beforeShow: function(input) {  setTimeout(function() { var buttonPane = $(input).datepicker("widget").find( ".ui-datepicker-buttonpane" );   var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');   btn.unbind("click").bind("click", function () {   $.datepicker._clearDate( input );   });   btn.appendTo( buttonPane );  }, 1 );  }  });}}}

			,{name:'r44',index:'r44', width:100, hidden:false, align :'left'}
			,{name:'r45',index:'r45', width:125, hidden:false, align :'left', searchoptions:{searchhidden: true,dataInit:function(el){$(el).datepicker({onSelect: function(date){jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl")[0].triggerToolbar();},changeMonth: true,changeYear: true,dateFormat:'dd/mm/yy', showButtonPanel: true, beforeShow: function(input) {  setTimeout(function() { var buttonPane = $(input).datepicker("widget").find( ".ui-datepicker-buttonpane" );   var btn = $('<button class="ui-datepicker-current ui-state-default ui-priority-secondary ui-corner-all" type="button">Clear</button>');   btn.unbind("click").bind("click", function () {   $.datepicker._clearDate( input );   });   btn.appendTo( buttonPane );  }, 1 );  }  });}}}

			,{name:'r46',index:'r46', width:100, hidden:false, align :'left'}
			,{name:'r47',index:'r47', width:80, hidden:true, align :'right'}

			],
			rowNum: 100,
			rowList: [10, 20, 30, 40, 50, 75, 100, 150, 200, 300, 500],
			pager: '#ppasi_ceisa_produksi_rdd_finish_tbl_dtl',
			sortname: 'r22',
			viewrecords: true,
			sortorder: "asc",
			width: '',
			shrinkToFit: false,
			height: 200,
			jsonReader: {repeatitems: false}, 
			ondblClickRow: function (rowid) {
				pasi_ceisa_produksi_rdd_finish_row_select=$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").getRowData(rowid);
				if  (pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==-1){
					pasi_ceisa_produksi_rdd_finishitem_check_row(pasi_ceisa_produksi_rdd_finish_row_select); 
				} 
			},
			onSelectRow: function (rowid) { 
				pasi_ceisa_produksi_rdd_finish_row_select=$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").getRowData(rowid);
				if  (pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==-1){
					pasi_ceisa_produksi_rdd_finishitem_check_row(pasi_ceisa_produksi_rdd_finish_row_select); 
				}
			},
			loadComplete: function () {
					
					
			},
			gridComplete: function () {
					if (pasi_ceisa_produksi_rdd_finish_row_select ){
						jQuery('#pasi_ceisa_produksi_rdd_finish_tbl_dtl').jqGrid('setSelection',''+ pasi_ceisa_produksi_rdd_finish_row_select.rID + '');
 					}
			},
			rownumbers: true,
		}); 
		jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('setGroupHeaders',
				{useColSpanStyle: true, groupHeaders: [
						{startColumnName: 'r1', numberOfColumns: 7, titleText: '<em><center>SOURCE ITEM</center></em>'}
						,{startColumnName: 'p1', numberOfColumns: 2, titleText: '<em><center>PO</center></em>'}
						,{startColumnName: 'r13', numberOfColumns: 7, titleText: '<em><center>INTERNAL PART</center></em>'}
						,{startColumnName: 'r19', numberOfColumns: 2, titleText: '<em><center>PACKAGE</center></em>'}
						,{startColumnName: 'r28', numberOfColumns: 9, titleText: '<em><center>TARIF</center></em>'}
						,{startColumnName: 'r41', numberOfColumns: 2, titleText: '<em><center>CREATE</center></em>'}
						,{startColumnName: 'r43', numberOfColumns: 2, titleText: '<em><center>MODIFY</center></em>'}
						,{startColumnName: 'r45', numberOfColumns: 2, titleText: '<em><center>MAPPING</center></em>'}
						]});

		jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('navGrid', '#ppasi_ceisa_produksi_rdd_finish_tbl_dtl', {edit: false, add: false, del: false, view: true});
 		jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true, defaultSearch: 'cn', ignoreCase: true});
	
		$('#pasi_ceisa_produksi_rdd_finish_save_detail').keydown(function (e) {
			var code = e.keyCode || e.which;
			var TABKEY = 9;
			if (code == TABKEY) {
				$('#pasi_ceisa_produksi_rdd_finish_item_urut').focus();
				if (e.preventDefault) {
					e.preventDefault();
					return false;
				}
			}
		});


		$('#pasi_ceisa_produksi_rdd_finish_new_detail').keydown(function (e) {
			var code = e.keyCode || e.which;
			var TABKEY = 9;
			if (code === TABKEY) {
				$('#pasi_ceisa_produksi_rdd_finish_item_urut').focus();
				if (e.preventDefault) {
					e.preventDefault();
					return false;
				}
			}
		});

		$('#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code').keyup(function () {
			$(this).val($(this).val().toUpperCase());
		});

		$("#pasi_ceisa_produksi_rdd_finish_hdr_supplier_address").attr("disabled", true);
		$("#pasi_ceisa_produksi_rdd_finish_hdr_cn").attr("disabled", true);   
		$("#pasi_ceisa_produksi_rdd_finish_hdr_status").attr("disabled", true);






	 
		var pasi_ceisa_produksi_rdd_finish_row_header <?php echo isset($row_data)?'='.json_encode($row_data):'';  ?>;  
		
		if (pasi_ceisa_produksi_rdd_finish_row_header)
		{
			$('#pasi_ceisa_produksi_rdd_finish_hdr_status').val(pasi_ceisa_produksi_rdd_finish_row_header.r2);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_purpose').val(pasi_ceisa_produksi_rdd_finish_row_header.r13);  
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_id').val(pasi_ceisa_produksi_rdd_finish_row_header.r21id);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_code').val(pasi_ceisa_produksi_rdd_finish_row_header.r23);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_name').val(pasi_ceisa_produksi_rdd_finish_row_header.r24);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_address').val(pasi_ceisa_produksi_rdd_finish_row_header.r25);  
			$('#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_code').val(pasi_ceisa_produksi_rdd_finish_row_header.r26);  
			$('#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_name').val(pasi_ceisa_produksi_rdd_finish_row_header.r27);  
			 
			$('#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code').val(pasi_ceisa_produksi_rdd_finish_row_header.r32);  			
			$('#pasi_ceisa_produksi_rdd_finish_valuta_value').val(pasi_ceisa_produksi_rdd_finish_row_header.r33);  
			
			$('#pasi_ceisa_produksi_rdd_finish_hdr_type_price').val(pasi_ceisa_produksi_rdd_finish_row_header.r34);   
			
			$('#pasi_ceisa_produksi_rdd_finish_hdr_type_asuransi').val(pasi_ceisa_produksi_rdd_finish_row_header.r36);    
			$('#pasi_ceisa_produksi_rdd_finish_hdr_asuransi').val(pasi_ceisa_produksi_rdd_finish_row_header.r37);     
			
			$('#pasi_ceisa_produksi_rdd_finish_hdr_tambahan').val(pasi_ceisa_produksi_rdd_finish_row_header.r38);  
			$('#pasi_ceisa_produksi_rdd_finish_diskon_value').val(pasi_ceisa_produksi_rdd_finish_row_header.r39);  
			$('#pasi_ceisa_produksi_rdd_finish_hdr_freight').val(pasi_ceisa_produksi_rdd_finish_row_header.r40);  
			$('#pasi_ceisa_produksi_rdd_finish_hdr_bruto').val(pasi_ceisa_produksi_rdd_finish_row_header.r41);  
			 
			
			$('#pasi_ceisa_produksi_rdd_finish_hdr_car').val(pasi_ceisa_produksi_rdd_finish_row_header.r7);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pjt').val(pasi_ceisa_produksi_rdd_finish_row_header.r8);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_bc_no').val(pasi_ceisa_produksi_rdd_finish_row_header.r10);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_bc_date').val(pasi_ceisa_produksi_rdd_finish_row_header.r9);

			$('#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code').val(pasi_ceisa_produksi_rdd_finish_row_header.r46);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_name').val(pasi_ceisa_produksi_rdd_finish_row_header.r47);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code').val(pasi_ceisa_produksi_rdd_finish_row_header.r48);
			$('#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_name').val(pasi_ceisa_produksi_rdd_finish_row_header.r49);
			 
			$('#pasi_ceisa_produksi_rdd_finish_hdr_invoice_no').val(pasi_ceisa_produksi_rdd_finish_row_header.p1);   
			$('#pasi_ceisa_produksi_rdd_finish_hdr_invoice_date').val(pasi_ceisa_produksi_rdd_finish_row_header.p2);
	
			var postData = {ID_HEADER:(pasi_ceisa_produksi_rdd_finish_row_header)?pasi_ceisa_produksi_rdd_finish_row_header.rID:'-1'};
			$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('setGridParam', {postData: postData, datatype: 'json'});
		    $( "#pasi_ceisa_produksi_rdd_finish_save_header" ).find('span').text("UPDATE HEADER");
							
}
	 

		$("#pasi_ceisa_produksi_rdd_finish_tab_hdr").tabs("select", 0);


		$("#pasi_ceisa_produksi_rdd_finish_save_header").click(function () { 
			var form_data = { 
				ID_HEADER					: (pasi_ceisa_produksi_rdd_finish_row_header)?pasi_ceisa_produksi_rdd_finish_row_header.rID:'-1'
				,NOMOR_AJU					: $('#pasi_ceisa_produksi_rdd_finish_hdr_car').val()			
				,PJT   						: $('#pasi_ceisa_produksi_rdd_finish_hdr_pjt').val() 
				,NOMOR_DAFTAR 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_bc_no').val()
				,TANGGAL_DAFTAR 			: getValueDate($("#pasi_ceisa_produksi_rdd_finish_hdr_bc_date"),'yymmdd')
				,NOMOR_BILLING				: $('#pasi_ceisa_produksi_rdd_finish_hdr_nomor_billing').val()
				,TANGGAL_BILLING			: getValueDate($("#pasi_ceisa_produksi_rdd_finish_hdr_tanggal_billing"),'yymmdd')
				,KODE_PEL_BONGKAR 			: $('#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code').val()
				,KODE_KANTOR_BONGKAR		: $('#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code').val()
				,KODE_TUJUAN				: $('#pasi_ceisa_produksi_rdd_finish_hdr_tujuan').val()
				,ID_PEMASOK					: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_id').val()
				,KODE_ID_PEMASOK			: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_code').val()
				,NAMA_PEMASOK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_name').val()
				,ALAMAT_PEMASOK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_address').val()
				,KODE_NEGARA_PEMASOK		: $('#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_code').val()
				,ID_PENERIMA_BARANG			: $('#pasi_ceisa_produksi_rdd_finish_hdr_importir_id').val()
				,KODE_ID_PENERIMA_BARANG	: $('#pasi_ceisa_produksi_rdd_finish_hdr_importir_code').val()
				,NAMA_PENERIMA_BARANG		: $('#pasi_ceisa_produksi_rdd_finish_hdr_importir_name').val()
				,NOMOR_IJIN_TPB_PENERIMA	: $('#pasi_ceisa_produksi_rdd_finish_hdr_importir_ijin').val()				
				,KODE_JENIS_API_PENERIMA	: $('#pasi_ceisa_produksi_rdd_finish_hdr_importir_api').val()
				,ID_PEMILIK 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_id').val()
				,KODE_ID_PEMILIK			: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_code').val()
				,NAMA_PEMILIK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_name').val()
				,ALAMAT_PEMILIK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_address').val()
				,KODE_JENIS_API_PEMILIK		: $('#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_api').val()
				,ID_PPJK	 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_id').val()
				,KODE_ID_PPJK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_code').val()
				,NAMA_PPJK					: $('#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_name').val()
				,ALAMAT_PPJK				: $('#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_address').val()
				,CARA_ANGKUT				: $('#pasi_ceisa_produksi_rdd_finish_hdr_cara_angkut').val()
				,SARANA_ANGKUT 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_sarana_angkut').val()
				,NOMOR_VOY_FLIGHT			: $('#pasi_ceisa_produksi_rdd_finish_hdr_voy').val()
				,KODE_NEGARA_TUJUAN			: $('#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_code').val()
				,KODE_PEL_MUAT 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_pel_muat_code').val()
				,KODE_PEL_TRANSIT			: $('#pasi_ceisa_produksi_rdd_finish_hdr_pel_transit_code').val()
				,KODE_PEL_BONGKAR 			: $('#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code').val()
				,KODE_FASILITAS				: $('#pasi_ceisa_produksi_rdd_finish_hdr_fasilitas').val()
				,KODE_LC					: $('#pasi_ceisa_produksi_rdd_finish_hdr_lc').val()
				,KODE_AWB					: $('#pasi_ceisa_produksi_rdd_finish_hdr_awb').val()
				,KODE_BC11					: $('#pasi_ceisa_produksi_rdd_finish_hdr_bc11').val()
				,TANGGAL_BC11				: getValueDate($("#pasi_ceisa_produksi_rdd_finish_hdr_tanggal_bc11"),'yymmdd')
				,SUBPOS_BC11				: $('#pasi_ceisa_produksi_rdd_finish_hdr_subpos_bc11').val()
				,SUBSUBPOS_BC11				: $('#pasi_ceisa_produksi_rdd_finish_hdr_subsubpos_bc11').val()
				,PENIMBUNAN					: $('#pasi_ceisa_produksi_rdd_finish_hdr_timbun').val()
				,KODE_VALUTA				: $('#pasi_ceisa_produksi_rdd_finish_hdr_valuta').val()
				,NDPBM						: $('#pasi_ceisa_produksi_rdd_finish_hdr_ndpbm').val()
				,FOB						: $('#pasi_ceisa_produksi_rdd_finish_hdr_fob').val()
				,FREIGHT 					: $('#pasi_ceisa_produksi_rdd_finish_hdr_freight').val()
				,KODE_ASURANSI 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_kode_asuransi').val()
				,ASURANSI 					: $('#pasi_ceisa_produksi_rdd_finish_hdr_asuransi').val()
				,CIF 						: $('#pasi_ceisa_produksi_rdd_finish_hdr_cif').val()
				,CIF_RUPIAH 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_cif_rupiah').val()
				,JUMLAH_KONTAINER			: $('#pasi_ceisa_produksi_rdd_finish_hdr_jumlah_kontainer').val()
				,JUMLAH_KEMASAN				: $('#pasi_ceisa_produksi_rdd_finish_hdr_jumlah_kemasan').val()
				,JUMLAH_BARANG 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_jumlah_barang').val()
				,BRUTO		 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_bruto').val()
				,NETTO						: $('#pasi_ceisa_produksi_rdd_finish_hdr_netto').val()
				,VOLUME						: $('#pasi_ceisa_produksi_rdd_finish_hdr_volume').val()
				,KEMASAN	 				: $('#pasi_ceisa_produksi_rdd_finish_hdr_kemasan').val()
				,KODE_DOKUMEN_PABEAN		:'<?php echo $bc_prefix; ?>'
			};
			 $('#pasi_ceisa_produksi_rdd_finish_save_header').button( "option", "disabled",true );
		   $.ajax({
				url: "<?php echo base_url() . 'pasi_ceisa_bc_in/ct_pasi_ceisa_bc_23/save_header'; ?>",
				type: 'POST',
				dataType: 'json',
				data: form_data,
				success: function (msg) {
					if (msg.valid){
							 jQuery('span.ui-dialog-title').text('EDIT BC ');
							 if (pasi_ceisa_produksi_rdd_finish_row_header){
								 alert(msg.stsmsg);
							 }else{
							    pasi_ceisa_produksi_rdd_finish_row_header=msg.detail;  
							   $('#pasi_ceisa_produksi_rdd_finish_hdr_status').val(pasi_ceisa_produksi_rdd_finish_row_header.r2);   
							    var postData = {ID_HEADER:(pasi_ceisa_produksi_rdd_finish_row_header)?pasi_ceisa_produksi_rdd_finish_row_header.rID:'-1'};
								$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('setGridParam', {postData: postData, datatype: 'json'});
								$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").trigger("reloadGrid");
								$("#pasi_ceisa_produksi_rdd_finish_tab_hdr").tabs("select", 1);
								$( "#pasi_ceisa_produksi_rdd_finish_save_header" ).find('span').text("UPDATE HEADER");
								pasi_ceisa_produksi_rdd_finishitem_action(0)
							 }
							  
							  	
								
					} else { 
						alert(msg.stsno+msg.stsmsg);    
					} 
				}

			}).always(function() {
							$('#pasi_ceisa_produksi_rdd_finish_save_header').button( "option", "disabled", false );
			}); 


		}); 

   
		$('#pasi_ceisa_produksi_rdd_finish_new_detail').click(function () { 
		   pasi_ceisa_produksi_rdd_finishitem_action(0); 
		}); 
		
		$('#pasi_ceisa_produksi_rdd_finish_automap_detail').click(function () { 
		  var $dialog =  $('<div />')
				.html(' <div class="ui-layout-content ui-widget-content-panel" style="margin-top:10px"> \
				Mapping all item?\
				</div>\
				<div class="pane-footer ui-state-default" />')
			 .dialog({
				modal:true,
				width : 500,
				height : 150,
				title :'MAPPING ITEM',
				buttons: {
					"CLOSE": function(){
						$dialog.dialog("close");  
					} ,
					"MAPPING ALL": function(){ 
			 		 	var form_edit = {      
									ID_HEADER	:(!pasi_ceisa_produksi_rdd_finish_row_header)?'-1':pasi_ceisa_produksi_rdd_finish_row_header.rID
								}; 
							
							jQuery('.ui-dialog button:nth-child(2)').button('disable'); 
							$.ajax({    
							url:'<?php echo base_url().'ms_in/ct_ms_in/mapping_all_item'; ?>',
							type : 'POST',
								data : form_edit,
								dataType: 'json',
								success: function(msg){
									if (msg.valid){
										alert(msg.stsmsg);  
										$dialog.dialog("close");  
									} else { alert(msg.stsno+msg.stsmsg);  }
								} 
							}).always(function() {
										jQuery('.ui-dialog button:nth-child(2)').button('enable'); 
							});
							 
					} , 
				},
				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_rdd_finish_tbl_dtl').trigger('reloadGrid');
				},
				open: function(){
				$("body").unblock(); 
				}
			}); 
		}); 
		
		$('#pasi_ceisa_produksi_rdd_finish_edit_detail').click(function () { 
			if (pasi_ceisa_produksi_rdd_finish_row_select) {
					 pasi_ceisa_produksi_rdd_finishitem_action(1);  
			}else{ 
				alert('Pilih Item yang akan di edit');
				return false;
			}
		}); 
		
		$('#pasi_ceisa_produksi_rdd_finish_delete_detail').click(function () { 
		
		
			if(!pasi_ceisa_produksi_rdd_finish_row_select){ alert("Pililh Detail yang akan di hapus");exit;}    
				
				var $dialog =  $('<div />')
				.html(' <div class="ui-layout-content ui-widget-content-panel" style="margin-top:10px"> \
				Hapus Detail? <br /><br />\
 				</div>')
			  .dialog({
				modal:true,
				width : 500,
				height : 200,
				title :'HAPUS DETAIL ',
				buttons: {
					"CLOSE": function(){
						$dialog.dialog("close");  
					} ,
					
					"HAPUS": function(){  
				 			var form_edit = {
							  ID_BARANG		:(!pasi_ceisa_produksi_rdd_finish_row_select)?'-1':pasi_ceisa_produksi_rdd_finish_row_select.rID
							, ID_HEADER	:(!pasi_ceisa_produksi_rdd_finish_row_header)?'-1':pasi_ceisa_produksi_rdd_finish_row_header.rID
							};  
							var	_url_target='<?php echo base_url().'ms_in/ct_ms_in/delete_detail'; ?>';
				 
							$('#ms_memo_<?php echo $bc_prefix;  ?>_delete_detail').button( "option", "disabled",true ); 
							$.ajax({    
							url:_url_target,
							type : 'POST',
							data : form_edit,
							dataType: 'json',
							success: function(msg){
									if (msg.valid){   
											pasi_ceisa_produksi_rdd_finish_row_select=null;  
											$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").trigger("reloadGrid");
											$dialog.dialog("close");  
								
									} else { 
										alert(msg.stsno+msg.stsmsg);    
										$dialog.dialog("close");  
									}
								} 
							}).always(function() {
								$('#ms_memo_<?php echo $bc_prefix;  ?>_delete_detail').button( "option", "disabled", false );;
							});  
							 
					} , 
				},
				close : function(){
					$dialog.dialog('destroy').remove();
			 	},
				open: function(){  
					$("body").unblock(); 
				} 

			}); 
		}); 
		
		
		
		$('#pasi_ceisa_produksi_rdd_finish_cancel_detail').click(function () { 
		   pasi_ceisa_produksi_rdd_finishitem_action(-1); 
		});
 
		
		
		
		function pasi_ceisa_produksi_rdd_finish_readonly(value,value2)
		{ 
			
			$('#pasi_ceisa_produksi_rdd_finish_item_ms_item_id').attr('readonly', value2); 
			$('#pasi_ceisa_produksi_rdd_finish_item_doc_qty').attr('readonly', value2); 
			$('#pasi_ceisa_produksi_rdd_finish_item_series').attr('readonly', value2);
			$('#pasi_ceisa_produksi_rdd_finish_item_tahun').attr('readonly', value2); 
			$('#pasi_ceisa_produksi_rdd_finish_item_po_no').attr('readonly', value2);
			$('#pasi_ceisa_produksi_rdd_finish_item_po_date').attr('readonly', value2); 
			$('#pasi_ceisa_produksi_rdd_finish_item_part_no').attr('readonly', value2);
			$('#pasi_ceisa_produksi_rdd_finish_item_package_code').attr('readonly', value2);
			$('#pasi_ceisa_produksi_rdd_finish_item_package_qty').attr('readonly', value2);
			
			$('#pasi_ceisa_produksi_rdd_finish_item_harga_total').attr('readonly', value);
			 // $('#pasi_ceisa_produksi_rdd_finish_item_package_code').attr('readonly', value);
			// $('#pasi_ceisa_produksi_rdd_finish_item_package_qty').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_netto').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_cn').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_part_name').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_volume').attr('readonly', value);  
			$('#pasi_ceisa_produksi_rdd_finish_item_harga_total').attr('readonly', value);  
			$('#pasi_ceisa_produksi_rdd_finish_item_urut').attr('readonly', value); 
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_code').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_seri').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_bm').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_pph').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppn').attr('readonly', value);
			$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm').attr('readonly', value);
			
		}; 
		
// $("#myGrid tr").keyup(function(e) {
    // var rowid = parseInt($(this).attr("id"));
    // var r=$("#myGrid").getRowData(rowid);
    // var col1 = r.column1;
    // if(e.keyCode == 46) {
        // alert(col1);
    // }
// });
		function pasi_ceisa_produksi_rdd_finishitem_action(value)
		{  
			pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item=value; 
			if ( pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==0){
				var rowdatagrid = $("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").getGridParam("records");
				$('#pasi_ceisa_produksi_rdd_finish_item_urut').val(parseInt(rowdatagrid) + 1);
	 
				$(".aktifitas_produksi_rdd_finish").hide()
				$(".aktifitas_produksi_rdd_finishresult").show() 
				pasi_ceisa_produksi_rdd_finish_row_edit=null;
				pasi_ceisa_produksi_rdd_finish_readonly(false,false);   
				pasi_ceisa_produksi_rdd_finishitem_check_row(pasi_ceisa_produksi_rdd_finish_row_edit);  
				
				$('#pasi_ceisa_produksi_rdd_finish_item_urut').focus();
			}else if ( pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==1){
				
				$(".aktifitas_produksi_rdd_finish").hide()
				$(".aktifitas_produksi_rdd_finishresult").show() 
				
				pasi_ceisa_produksi_rdd_finish_row_edit=pasi_ceisa_produksi_rdd_finish_row_select; 
				pasi_ceisa_produksi_rdd_finishitem_check_row(pasi_ceisa_produksi_rdd_finish_row_edit);  
				pasi_ceisa_produksi_rdd_finish_readonly((pasi_ceisa_produksi_rdd_finish_row_edit.r37=='1'),false); 
				
				if (pasi_ceisa_produksi_rdd_finish_row_edit.r37=='1')
					$('#pasi_ceisa_produksi_rdd_finish_item_part_no').focus();
				else 
					$('#pasi_ceisa_produksi_rdd_finish_item_urut').focus();
				
				
			}else if ( pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==-1){
				$(".aktifitas_produksi_rdd_finish").show()
				$(".aktifitas_produksi_rdd_finishresult").hide()  
				pasi_ceisa_produksi_rdd_finish_readonly(true,true); 
				if (pasi_ceisa_produksi_rdd_finish_row_select){
				pasi_ceisa_produksi_rdd_finishitem_check_row(pasi_ceisa_produksi_rdd_finish_row_select);
				}	
			} 
		};
		
		function pasi_ceisa_produksi_rdd_finishitem_check_row(value)
		{
			if (value){
					$('#pasi_ceisa_produksi_rdd_finish_item_ms_item_id').val(value.r7); 
					$('#pasi_ceisa_produksi_rdd_finish_item_harga_total').val(value.r18); 
					$('#pasi_ceisa_produksi_rdd_finish_item_urut').val(value.r22); 
					$('#pasi_ceisa_produksi_rdd_finish_item_doc_qty').val(value.r16);
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_code').val(value.r28); 
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_bm').val(value.r29);
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm').val(value.r31); 
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_pph').val(value.r33); 
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppn').val(value.r35);
					$('#pasi_ceisa_produksi_rdd_finish_item_package_code').val(value.r19);
					$('#pasi_ceisa_produksi_rdd_finish_item_package_qty').val(value.r20);
					$('#pasi_ceisa_produksi_rdd_finish_item_netto').val(value.r21);
				 	$('#pasi_ceisa_produksi_rdd_finish_item_cn').val(value.r6a);
				
					$('#pasi_ceisa_produksi_rdd_finish_item_part_no').val(value.r13);
					$('#pasi_ceisa_produksi_rdd_finish_item_part_name').val(value.r14);
					$('#pasi_ceisa_produksi_rdd_finish_item_part_custom_no').val(value.r9); 
					$('#pasi_ceisa_produksi_rdd_finish_item_part_custom_name').val(value.r10);
					
					$('#pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code').val(value.r15);    
					$('#pasi_ceisa_produksi_rdd_finish_item_volume').val(value.r23);  
					
					$('#pasi_ceisa_produksi_rdd_finish_item_source_code').val(value.r1);    
					$('#pasi_ceisa_produksi_rdd_finish_item_source_name').val(value.r2);    
					$('#pasi_ceisa_produksi_rdd_finish_item_source_qty').val(value.r17);    
					$('#pasi_ceisa_produksi_rdd_finish_item_source_satuan_code').val(value.r3);     
					$('#pasi_ceisa_produksi_rdd_finish_item_source_type').val(value.r4);   
					
					$('#pasi_ceisa_produksi_rdd_finish_item_series').val(value.r48);     
					$('#pasi_ceisa_produksi_rdd_finish_item_tahun').val(value.r49);
					
					$('#pasi_ceisa_produksi_rdd_finish_item_po_no').val(value.p1);     
					$('#pasi_ceisa_produksi_rdd_finish_item_po_date').val(value.p2);   
					
			} else {  
					$('#pasi_ceisa_produksi_rdd_finish_item_urut').val(''); 
					$('#pasi_ceisa_produksi_rdd_finish_item_ms_item_id').val(''); 
					$('#pasi_ceisa_produksi_rdd_finish_item_harga_total').val(''); 
					$('#pasi_ceisa_produksi_rdd_finish_item_doc_qty').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_code').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_seri').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_bm').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppn').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_package_code').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_package_qty').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_netto').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_cn').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_part_no').val('');
					$('#pasi_ceisa_produksi_rdd_finish_item_part_name').val(''); 
					$('#pasi_ceisa_produksi_rdd_finish_item_volume').val('');   
			}
		};	
		pasi_ceisa_produksi_rdd_finishitem_action(-1)	;
			  

		$("#pasi_ceisa_produksi_rdd_finish_save_detail").click(function () { 
		
			var form_data = {
				 ID_HEADER			: pasi_ceisa_produksi_rdd_finish_row_header.rID 
				,ID_BARANG			:(pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==0)?'-1': pasi_ceisa_produksi_rdd_finish_row_edit.rID
				,SERI_BARANG		:$('#pasi_ceisa_produksi_rdd_finish_item_urut').val()
				,ms_item_id			:$('#pasi_ceisa_produksi_rdd_finish_item_ms_item_id').val()
				,PART_NO			:$('#pasi_ceisa_produksi_rdd_finish_item_part_no').val()
				,HARGA_PENYERAHAN	:$('#pasi_ceisa_produksi_rdd_finish_item_harga_total').val()
				,JUMLAH_KEMASAN		:$('#pasi_ceisa_produksi_rdd_finish_item_package_qty').val()
				,JUMLAH_SATUAN		:$('#pasi_ceisa_produksi_rdd_finish_item_doc_qty').val()
				,KODE_KEMASAN		:$('#pasi_ceisa_produksi_rdd_finish_item_package_code').val()
				,NETTO				:$('#pasi_ceisa_produksi_rdd_finish_item_netto').val()
				,POS_TARIF			:$('#pasi_ceisa_produksi_rdd_finish_item_hs_code').val()
				,VOLUME				:$('#pasi_ceisa_produksi_rdd_finish_item_volume').val()
				,KODE_NEGARA_ASAL	:$('#pasi_ceisa_produksi_rdd_finish_item_cn').val()
				,BM					:$('#pasi_ceisa_produksi_rdd_finish_item_hs_bm').val()
				,PPNBM				:$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm').val()
				,PPH				:$('#pasi_ceisa_produksi_rdd_finish_item_hs_pph').val()
				,PPN				:$('#pasi_ceisa_produksi_rdd_finish_item_hs_ppn').val() 
				,series				:$('#pasi_ceisa_produksi_rdd_finish_item_series').val() 
				,TAHUN_PEMBUATAN	:getValueDate($("#pasi_ceisa_produksi_rdd_finish_item_tahun"),'yymmdd')  
				,po_no				:$('#pasi_ceisa_produksi_rdd_finish_item_po_no').val() 
				,po_date	:getValueDate($("#pasi_ceisa_produksi_rdd_finish_item_po_date"),'yymmdd')  
			 };
			  

			$.ajax({
				url: "<?php echo base_url() . 'ms_in/ct_ms_in/save_detail'; ?>",
				type: 'POST',
				dataType: 'json',
				data: form_data,
				success: function (msg) {
						 
					if (msg.valid){	
	
						if (pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==1){
							 pasi_ceisa_produksi_rdd_finishitem_action(-1); 
							 pasi_ceisa_produksi_rdd_finish_row_select=pasi_ceisa_produksi_rdd_finish_row_edit;							 
						}else if (pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==0){
							 pasi_ceisa_produksi_rdd_finishitem_action(pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item); 
						} 
						$('#pasi_ceisa_produksi_rdd_finish_tbl_dtl').trigger('reloadGrid');
					} else { 
						alert(msg.stsno+msg.stsmsg);    
					} 
					
				}

			});


		});

 
		 
		$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_name").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_kpbc'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_name").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

		 
	$("#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_name").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_kpbc'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pel_bongkar_name").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

		  

		 
	$("#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code").val((ui.item ? ui.item.rID : '')); 
						 if ($( "#pasi_ceisa_produksi_rdd_finish_hdr_bc_date" ).val()!=''){ 
							$.ajax({    
								url:'<?php echo base_url() . 'ms_master/ct_ms_find/find_valuta_value'; ?>',
								type : 'POST',
								data : {
									VALUTA		:$( "#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code" ).val()
									,DATE_KURS	:getValueDate($("#pasi_ceisa_produksi_rdd_finish_hdr_bc_date"),'yymmdd')
								},
								dataType: 'json',
								success: function(msg){
										if (msg.valid){   
											$('#pasi_ceisa_produksi_rdd_finish_valuta_value').val(msg.detail.rv_h);
										} else {  
										}
									} 
								}).always(function() { 
							});  
						} 
			
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_valuta'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_valuta_code").val('');    
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		
 
 
	$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '150px', valueField: 'r1'},
								{name: 'Name', width: '250px', valueField: 'r2'},
								{name: 'CN', width: '100px', valueField: 'r4'},
								{name: 'Address', width: '250px', valueField: 'r3'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
					 	$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_id").val((ui.item ? ui.item.rID : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_code").val((ui.item ? ui.item.r1 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_name").val((ui.item ? ui.item.r2 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_address").val((ui.item ? ui.item.r3 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_code").val((ui.item ? ui.item.r4 : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_name").val((ui.item ? ui.item.r5 : '')); 
						
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'pasi_ceisa_master/ct_pasi_map_customer/loaddata'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_id").val('-1');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_code").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_name").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemasok_address").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_code").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_negara_pemasok_name").val('');
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		
  
  
	$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '150px', valueField: 'r1'},
								{name: 'Name', width: '250px', valueField: 'r2'},
								{name: 'CN', width: '100px', valueField: 'r4'},
								{name: 'Address', width: '250px', valueField: 'r3'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
					 	$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_id").val((ui.item ? ui.item.rID : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_code").val((ui.item ? ui.item.r1 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_name").val((ui.item ? ui.item.r2 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_address").val((ui.item ? ui.item.r3 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_ijin").val((ui.item ? ui.item.r6 : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_api").val((ui.item ? ui.item.r7 : '')); 
						
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'pasi_ceisa_master/ct_pasi_map_customer/loaddata'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_id").val('-1');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_code").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_name").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_address").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_ijin").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_importir_api").val('');
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

 	$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '150px', valueField: 'r1'},
								{name: 'Name', width: '250px', valueField: 'r2'},
								{name: 'CN', width: '100px', valueField: 'r4'},
								{name: 'Address', width: '250px', valueField: 'r3'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
					 	$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_id").val((ui.item ? ui.item.rID : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_code").val((ui.item ? ui.item.r1 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_name").val((ui.item ? ui.item.r2 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_address").val((ui.item ? ui.item.r3 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_ijin").val((ui.item ? ui.item.r6 : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_api").val((ui.item ? ui.item.r7 : '')); 
						
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'pasi_ceisa_master/ct_pasi_map_customer/loaddata'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_id").val('-1');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_code").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_name").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_address").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_ijin").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pemilik_api").val('');
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		 
		 
	$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '150px', valueField: 'r1'},
								{name: 'Name', width: '250px', valueField: 'r2'},
								{name: 'CN', width: '100px', valueField: 'r4'},
								{name: 'Address', width: '250px', valueField: 'r3'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
					 	$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_id").val((ui.item ? ui.item.rID : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_code").val((ui.item ? ui.item.r1 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_name").val((ui.item ? ui.item.r2 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_address").val((ui.item ? ui.item.r3 : ''));
						$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_npwp").val((ui.item ? ui.item.r6 : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_api").val((ui.item ? ui.item.r7 : '')); 
						
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'pasi_ceisa_master/ct_pasi_map_customer/loaddata'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_id").val('-1');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_code").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_name").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_address").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_ijin").val('');
									$("#pasi_ceisa_produksi_rdd_finish_hdr_ppjk_api").val('');
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		 

		$("#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_nama").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 1,
					delay: 500,
					position: { my : "right bottom"
							  , at: "right top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_country'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_angkut_negara_nama").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		
 
				$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_muat_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_muat_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_muat_nama").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 1,
					delay: 500,
					position: { my : "right bottom"
							  , at: "right top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_country'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_muat_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_muat_nama").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

				$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_transit_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_transit_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_transit_nama").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 1,
					delay: 500,
					position: { my : "right bottom"
							  , at: "right top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_country'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_transit_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_transit_nama").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

				$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_bongkar_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_bongkar_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_bongkar_nama").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 1,
					delay: 500,
					position: { my : "right bottom"
							  , at: "right top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_country'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_bongkar_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_pelabuhan_bongkar_nama").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		


				$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").mcautocomplete({
					// These next two options are what this plugin adds to the autocomplete widget.
					showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
					columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
								{name: 'Name', width: '250px', valueField: 'r1'}],
					
					// Event handler for when a list item is selected.
					select: function(event, ui) {
						this.value = (ui.item ? ui.item.rID : '');
						$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").val((ui.item ? ui.item.rID : '')); 
						$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_name").val((ui.item ? ui.item.r1 : '')); 
						return false;
					},
					 change: function( event, ui ) { 
					 }, 
					minLength: 2,
					delay: 500,
					// position: { my : "left bottom"
							  // , at: "left top" },
					source: function(request, response) {
						$.ajax({
							url: '<?php echo base_url().'ms_master/ct_ms_find/find_kpbc'; ?>',
							dataType: 'json',
							data: {
								limit: 15,
								findtext: request.term
							},
							// The success event handler will display "No match found" if no items are returned.
							success: function(data) {
								var result;
								if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
									result = [{label: 'No match found.'}];
									this.value = '';
									$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_code").val('');   
									$("#pasi_ceisa_produksi_rdd_finish_hdr_kpbc_bongkar_name").val('');  
								}
								else {
									result = data.rows;
								}
								response(result);
							}
						});
					}
				});		

		$("#pasi_ceisa_produksi_rdd_finish_item_cn").mcautocomplete({
			// These next two options are what this plugin adds to the autocomplete widget.
			showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
			columns: [	{name: 'Code', width: '80px', valueField: 'rID'},
						{name: 'Name', width: '250px', valueField: 'r1'}],
			
			// Event handler for when a list item is selected.
			select: function(event, ui) {
				this.value = (ui.item ? ui.item.rID : '');
				$("#pasi_ceisa_produksi_rdd_finish_item_cn").val((ui.item ? ui.item.rID : '')); 
				// $("#pasi_ceisa_produksi_rdd_finish_item_package_name").val((ui.item ? ui.item.r1 : '')); 
				return false;
			},
			 change: function( event, ui ) { 
			 }, 
			minLength: 1,
			delay: 500,
			position: { my : "left bottom"
					  , at: "left top" },
			source: function(request, response) {
				$.ajax({
					url: '<?php echo base_url().'ms_master/ct_ms_find/find_country'; ?>',
					dataType: 'json',
					data: {
						limit: 15,
						findtext: request.term
					},
					// The success event handler will display "No match found" if no items are returned.
					success: function(data) {
						var result;
						if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
							result = [{label: 'No match found.'}];
							this.value = '';
							$("#pasi_ceisa_produksi_rdd_finish_item_cn").val('');   
							// $("#pasi_ceisa_produksi_rdd_finish_item_package_name").val('');  
						}
						else {
							result = data.rows;
						}
						response(result);
					}
				});
			}
		});		
  

		$("#pasi_ceisa_produksi_rdd_finish_item_part_no").mcautocomplete({
			// These next two options are what this plugin adds to the autocomplete widget.
			showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
			columns: [ {name: 'Part No', width: '150px', valueField: 'r1'},
						{name: 'Part Name', width: '250px', valueField: 'r2'},
						{name: 'Part Cst', width: '80px', valueField: 'r3'},
						{name: 'Uom', width: '45px', valueField: 'r5'},
						{name: 'HS-Code', width: '45px', valueField: 'hs1'},
						{name: 'BM', width: '45px', valueField: 'hs2'}],
			
			// Event handler for when a list item is selected.
			select: function(event, ui) {
					this.value = (ui.item ? ui.item.rID : ''); 
					$("#pasi_ceisa_produksi_rdd_finish_item_ms_item_id").val((ui.item ? ui.item.rID : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_no").val((ui.item ? ui.item.r1 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_name").val((ui.item ? ui.item.r2 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_custom_no").val((ui.item ? ui.item.r3 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code").val((ui.item ? ui.item.r5 : ''));
					
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_code").val((ui.item ? ui.item.hs1 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_seri").val('0');
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_bm").val((ui.item ? ui.item.hs2 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm").val((ui.item ? ui.item.hs3 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_pph").val((ui.item ? ui.item.hs4 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppn").val((ui.item ? ui.item.hs5 : ''));
					return false;
			},
			 change: function( event, ui ) { 
			 }, 
			minLength: 2,
			delay: 500,
			position: { my : "left bottom"
					  , at: "left top" },
			source: function(request, response) {
				$.ajax({
					url: '<?php echo base_url().'ms_master/ct_ms_find/find_item'; ?>',
					dataType: 'json',
					data: {
						limit: 15,
						findtext: request.term,
						allow_item:''
					},
					// The success event handler will display "No match found" if no items are returned.
					success: function(data) {
						var result;
						if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
							result = [{label: 'No match found.'}];
							this.value = '';
								$("#pasi_ceisa_produksi_rdd_finish_item_ms_item_id").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_no").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_name").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_custom_no").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code").val('');
								
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_code").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_seri").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_bm").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_pph").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppn").val('');					}
						else {
							result = data.rows;
						}
						response(result);
					}
				});
			}
		});		
   
		$("#pasi_ceisa_produksi_rdd_finish_item_part_name").mcautocomplete({
			// These next two options are what this plugin adds to the autocomplete widget.
			showHeader: true,
			 classes: {
						"ui-autocomplete": "highlight"
						},
			columns: [ {name: 'Part No', width: '150px', valueField: 'r1'},
						{name: 'Part Name', width: '250px', valueField: 'r2'},
						{name: 'Part Cst', width: '80px', valueField: 'r3'},
						{name: 'Uom', width: '45px', valueField: 'r5'},
						{name: 'HS-Code', width: '45px', valueField: 'hs1'},
						{name: 'BM', width: '45px', valueField: 'hs2'}],
			
			// Event handler for when a list item is selected.
			select: function(event, ui) {
					this.value = (ui.item ? ui.item.rID : ''); 
					$("#pasi_ceisa_produksi_rdd_finish_item_ms_item_id").val((ui.item ? ui.item.rID : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_no").val((ui.item ? ui.item.r1 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_name").val((ui.item ? ui.item.r2 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_part_custom_no").val((ui.item ? ui.item.r3 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code").val((ui.item ? ui.item.r5 : ''));
					
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_code").val((ui.item ? ui.item.hs1 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_seri").val('0');
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_bm").val((ui.item ? ui.item.hs2 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm").val((ui.item ? ui.item.hs3 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_pph").val((ui.item ? ui.item.hs4 : ''));
					$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppn").val((ui.item ? ui.item.hs5 : ''));
					return false;
			},
			 change: function( event, ui ) { 
			 }, 
			minLength: 2,
			delay: 500,
			position: { my : "left bottom"
					  , at: "left top" },
			source: function(request, response) {
				$.ajax({
					url: '<?php echo base_url().'ms_master/ct_ms_find/find_item'; ?>',
					dataType: 'json',
					data: {
						limit: 15,
						findtext: request.term,
						allow_item:''
					},
					// The success event handler will display "No match found" if no items are returned.
					success: function(data) {
						var result;
						if (!data || data.length === 0 || !data.rows || data.rows.length === 0) {
							result = [{label: 'No match found.'}];
							this.value = '';
								$("#pasi_ceisa_produksi_rdd_finish_item_ms_item_id").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_no").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_name").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_part_custom_no").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_doc_satuan_code").val('');
								
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_code").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_seri").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_bm").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppnbm").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_pph").val('');
								$("#pasi_ceisa_produksi_rdd_finish_item_hs_ppn").val('');					}
						else {
							result = data.rows;
						}
						response(result);
					}
				});
			}
		});		
   

 

		$('#pasi_ceisa_produksi_rdd_finish_tab_hdr').bind('tabsselect', function (event, ui) {

			selected = ui.index;
			if ((selected == 1) && pasi_ceisa_produksi_rdd_finish_row_header)
			{ 
				var postData = {ID_HEADER:(pasi_ceisa_produksi_rdd_finish_row_header)?pasi_ceisa_produksi_rdd_finish_row_header.rID:'-1'};
 				$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('setGridParam', {postData: postData, datatype: 'json'});
				if (pasi_ceisa_produksi_rdd_finish_mode_aktifitas_item==-1){
					$("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").trigger("reloadGrid");
				}
			}  


		});
		
		if ('<?php echo $bc_prefix; ?>'=='23'){
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel2 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_volume').hide();
			jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('hideCol',["r23"]);  
		}else if ('<?php echo $bc_prefix; ?>'=='262'){
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel2 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_volume').hide(); 
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel3 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_hs_tarif2').hide();
			jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('hideCol',["r23","r29","r31","r33","r35"]);  
		}else if ('<?php echo $bc_prefix; ?>'=='40'){
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel2 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_volume').hide();
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel3 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_hs_tarif').hide();
		  $('#pasi_ceisa_produksi_rdd_finish_item_panel3 tr').filter('.pasi_ceisa_produksi_rdd_finish_item_hs_tarif2').hide();
			jQuery("#pasi_ceisa_produksi_rdd_finish_tbl_dtl").jqGrid('hideCol',["r23","r28","r29","r31","r33","r35"]);  
		}
		if ('<?php echo $bc_prefix; ?>'!='23'){
		$('#pasi_ceisa_produksi_rdd_finish_hdr_pjt').hide();
		}
		
});





</script>
